IssuingDistributionPoint (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.x509

## Class IssuingDistributionPoint

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.IssuingDistributionPoint

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class IssuingDistributionPoint
      extends ASN1Object

       IssuingDistributionPoint ::= SEQUENCE {
         distributionPoint          [0] DistributionPointName OPTIONAL,
         onlyContainsUserCerts      [1] BOOLEAN DEFAULT FALSE,
         onlyContainsCACerts        [2] BOOLEAN DEFAULT FALSE,
         onlySomeReasons            [3] ReasonFlags OPTIONAL,
         indirectCRL                [4] BOOLEAN DEFAULT FALSE,
         onlyContainsAttributeCerts [5] BOOLEAN DEFAULT FALSE }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IssuingDistributionPoint(DistributionPointName distributionPoint, boolean indirectCRL, boolean onlyContainsAttributeCerts)` Shorthand Constructor from given details.
    `IssuingDistributionPoint(DistributionPointName distributionPoint, boolean onlyContainsUserCerts, boolean onlyContainsCACerts, ReasonFlags onlySomeReasons, boolean indirectCRL, boolean onlyContainsAttributeCerts)` Constructor from given details.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DistributionPointName` | `getDistributionPoint()`
    `static IssuingDistributionPoint` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static IssuingDistributionPoint` | `getInstance(java.lang.Object obj)`
    `ReasonFlags` | `getOnlySomeReasons()`
    `boolean` | `isIndirectCRL()`
    `boolean` | `onlyContainsAttributeCerts()`
    `boolean` | `onlyContainsCACerts()`
    `boolean` | `onlyContainsUserCerts()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IssuingDistributionPoint

          public IssuingDistributionPoint(DistributionPointName distributionPoint,
                                  boolean onlyContainsUserCerts,
                                  boolean onlyContainsCACerts,
                                  ReasonFlags onlySomeReasons,
                                  boolean indirectCRL,
                                  boolean onlyContainsAttributeCerts)

      Constructor from given details.
      Parameters:
        `distributionPoint` - May contain an URI as pointer to most current CRL.
        `onlyContainsUserCerts` - Covers revocation information for end certificates.
        `onlyContainsCACerts` - Covers revocation information for CA certificates.
        `onlySomeReasons` - Which revocation reasons does this point cover.
        `indirectCRL` - If `true` then the CRL contains revocation information about certificates ssued by other CAs.
        `onlyContainsAttributeCerts` - Covers revocation information for attribute certificates.

    - #### IssuingDistributionPoint

          public IssuingDistributionPoint(DistributionPointName distributionPoint,
                                  boolean indirectCRL,
                                  boolean onlyContainsAttributeCerts)

      Shorthand Constructor from given details.
      Parameters:
        `distributionPoint` - May contain an URI as pointer to most current CRL.
        `indirectCRL` - If `true` then the CRL contains revocation information about certificates ssued by other CAs.
        `onlyContainsAttributeCerts` - Covers revocation information for attribute certificates.

  - ### Method Detail

    - #### getInstance

          public static IssuingDistributionPoint getInstance(ASN1TaggedObject obj,
                                             boolean explicit)

    - #### getInstance

          public static IssuingDistributionPoint getInstance(java.lang.Object obj)

    - #### onlyContainsUserCerts

          public boolean onlyContainsUserCerts()

    - #### onlyContainsCACerts

          public boolean onlyContainsCACerts()

    - #### isIndirectCRL

          public boolean isIndirectCRL()

    - #### onlyContainsAttributeCerts

          public boolean onlyContainsAttributeCerts()

    - #### getDistributionPoint

          public DistributionPointName getDistributionPoint()

      Returns:
        Returns the distributionPoint.

    - #### getOnlySomeReasons

          public ReasonFlags getOnlySomeReasons()

      Returns:
        Returns the onlySomeReasons.

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`